/*
 * 
 * Datei:   Punkt.java
 * 
 * ---------------------------------
 * 
 * Datum:           $Date: 2004/05/12 09:47:23 $
 * Autor:           Simon Tiffert 
 * Prfungsnummer:  40
 * Firma:           T-Systems
 * eMail-Adresse:   simon.tiffert@t-systems.com
 * Version:         $Revision: 1.6 $
 * 
 * ---------------------------------
 * 
 */
package main.verarbeitung;

/**
 * Klasse, die einen Punkt in der Matrix reprsentiert.
 * 
 * Um einfacher mit den beiden Koordinaten arbeiten zu knnen, wurde
 * diese Datenstruktur verwendet.
 * 
 * @version $Revision: 1.6 $
 * @author Simon Tiffert
 */
public class Punkt
{
  // x-Koordinate des Punktes
  private int x;
  
  // y-Koordinate des Punktes
  private int y;
  
  /**
   * Der Konstruktor erstellt einen Punkt aus den bergebenen 
   * Koordinaten
   * 
   * @param x x-Koordinate des Punktes
   * @param y y-Koordinate des Punktes
   */
  public Punkt ( int y, int x )
  {
    this.x = x;
    this.y = y;
  }
  
  /**
   * Die Funktion gibt die x-Koordinate eines Punktes zurck
   * 
   * @return x-Koordinate
   */
  public int getX()
  {
    return x;
  }
  
  /**
   * Die Funktion gibt die Y-Koordinate eines Punktes zurck
   * 
   * @return y-Koordinate des Punktes
   */
  public int getY()
  {
    return y;
  }
  
  
}
